package roneditor.objectnetview;

import org.eclipse.gef.Tool;
import org.eclipse.gef.palette.ConnectionCreationToolEntry;
import org.eclipse.gef.requests.CreationFactory;
import org.eclipse.jface.resource.ImageDescriptor;

/**
 * Entry fr das MappingCreationTool. Wird bentigt um das Tool in der Toolbar verfgbar zu machen.
 * 
 * @author Mario
 */
public class MappingCreationToolEntry extends ConnectionCreationToolEntry {

	public MappingCreationToolEntry(String label, String shortDesc, CreationFactory factory, ImageDescriptor iconSmall, ImageDescriptor iconLarge) {
		super(label, shortDesc, factory, iconSmall, iconLarge);
	}

	/**
	 * Returns a new CreationTool for this entry.
	 */
	public Tool createTool() {
		return new MappingCreationTool(factory);
	}
}

