package roneditor.objectnetview;

import org.eclipse.gef.Tool;
import org.eclipse.gef.palette.ConnectionCreationToolEntry;
import org.eclipse.gef.requests.CreationFactory;
import org.eclipse.jface.resource.ImageDescriptor;

public class ObjectNetConnectionCreationToolEntry extends ConnectionCreationToolEntry {

	public ObjectNetConnectionCreationToolEntry(String label, String shortDesc, CreationFactory factory, ImageDescriptor iconSmall, ImageDescriptor iconLarge) {
		super(label, shortDesc, factory, iconSmall, iconLarge);
	}

	/**
	 * Returns a new CreationTool for this entry.
	 */
	public Tool createTool() {
		return new ObjectNetConnectionCreationTool(factory);
	}
}

