package roneditor.objectnetview.commands;


import ronmodel.ONPlace;


/**
 * Command for creating a place.
 */
public class CreateONPlaceCommand
	extends AbstractCreateONNodeCommand
{

	private int tokens;
	
/**
 * Constructor.
 *
 */	
	public CreateONPlaceCommand() {
		super();
	}
	
	/**
	 * Entry point for command execution.
	 */
	public void execute() {
		((ONPlace)onNode).setTokens(tokens);
		super.execute();
	}
	
	

/**
 *  @return the token
 */
public int getTokens() {
	return this.tokens;
}

/**
 *  @param set the value of the token
 */
public void setTokens(int _tokens){
	this.tokens = _tokens;
}
}
